diff -crBPN --exclude=wp-config.php --exclude=wordpress.sql --exclude=.htaccess-dist --exclude=wp-cache-config.php --exclude=htaccess-dist --exclude=wp-config.php --exclude=wordpress.sql --exclude=wp-cache-config.php --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.6.pl /home/packages/code/qi/SOURCES/wordpress-3.5.2/wp-admin/includes/class-wp-terms-list-table.php /home/packages/code/qi/SOURCES/wordpress-3.6/wp-admin/includes/class-wp-terms-list-table.php
*** /home/packages/code/qi/SOURCES/wordpress-3.5.2/wp-admin/includes/class-wp-terms-list-table.php	2012-09-26 14:57:44.000000000 -0500
--- /home/packages/code/qi/SOURCES/wordpress-3.6/wp-admin/includes/class-wp-terms-list-table.php	2013-05-27 23:53:46.000000000 -0500
***************
*** 52,58 ****
  			$tags_per_page = apply_filters( 'edit_categories_per_page', $tags_per_page ); // Old filter
  		}
  
! 		$search = !empty( $_REQUEST['s'] ) ? trim( stripslashes( $_REQUEST['s'] ) ) : '';
  
  		$args = array(
  			'search' => $search,
--- 52,58 ----
  			$tags_per_page = apply_filters( 'edit_categories_per_page', $tags_per_page ); // Old filter
  		}
  
! 		$search = !empty( $_REQUEST['s'] ) ? trim( wp_unslash( $_REQUEST['s'] ) ) : '';
  
  		$args = array(
  			'search' => $search,
***************
*** 61,70 ****
  		);
  
  		if ( !empty( $_REQUEST['orderby'] ) )
! 			$args['orderby'] = trim( stripslashes( $_REQUEST['orderby'] ) );
  
  		if ( !empty( $_REQUEST['order'] ) )
! 			$args['order'] = trim( stripslashes( $_REQUEST['order'] ) );
  
  		$this->callback_args = $args;
  
--- 61,70 ----
  		);
  
  		if ( !empty( $_REQUEST['orderby'] ) )
! 			$args['orderby'] = trim( wp_unslash( $_REQUEST['orderby'] ) );
  
  		if ( !empty( $_REQUEST['order'] ) )
! 			$args['order'] = trim( wp_unslash( $_REQUEST['order'] ) );
  
  		$this->callback_args = $args;
  
***************
*** 136,142 ****
  		$args['offset'] = $offset = ( $page - 1 ) * $number;
  
  		// convert it to table rows
- 		$out = '';
  		$count = 0;
  
  		$terms = array();
--- 136,141 ----
***************
*** 144,180 ****
  		if ( is_taxonomy_hierarchical( $taxonomy ) && !isset( $orderby ) ) {
  			// We'll need the full set of terms then.
  			$args['number'] = $args['offset'] = 0;
  
! 			$terms = get_terms( $taxonomy, $args );
  			if ( !empty( $search ) ) // Ignore children on searches.
  				$children = array();
  			else
  				$children = _get_term_hierarchy( $taxonomy );
  
  			// Some funky recursion to get the job done( Paging & parents mainly ) is contained within, Skip it for non-hierarchical taxonomies for performance sake
! 			$out .= $this->_rows( $taxonomy, $terms, $children, $offset, $number, $count );
  		} else {
  			$terms = get_terms( $taxonomy, $args );
  			foreach ( $terms as $term )
! 				$out .= $this->single_row( $term, 0, $taxonomy );
  			$count = $number; // Only displaying a single page.
  		}
- 
- 		if ( empty( $terms ) ) {
- 			list( $columns, $hidden ) = $this->get_column_info();
- 			echo '<tr class="no-items"><td class="colspanchange" colspan="' . $this->get_column_count() . '">';
- 			$this->no_items();
- 			echo '</td></tr>';
- 		} else {
- 			echo $out;
- 		}
  	}
  
! 	function _rows( $taxonomy, $terms, &$children, $start = 0, $per_page = 20, &$count, $parent = 0, $level = 0 ) {
  
  		$end = $start + $per_page;
  
- 		$output = '';
  		foreach ( $terms as $key => $term ) {
  
  			if ( $count >= $end )
--- 143,179 ----
  		if ( is_taxonomy_hierarchical( $taxonomy ) && !isset( $orderby ) ) {
  			// We'll need the full set of terms then.
  			$args['number'] = $args['offset'] = 0;
+ 		}
+ 		$terms = get_terms( $taxonomy, $args );
  
! 		if ( empty( $terms ) ) {
! 			list( $columns, $hidden ) = $this->get_column_info();
! 			echo '<tr class="no-items"><td class="colspanchange" colspan="' . $this->get_column_count() . '">';
! 			$this->no_items();
! 			echo '</td></tr>';
! 			return;
! 		}
! 
! 		if ( is_taxonomy_hierarchical( $taxonomy ) && !isset( $orderby ) ) {
  			if ( !empty( $search ) ) // Ignore children on searches.
  				$children = array();
  			else
  				$children = _get_term_hierarchy( $taxonomy );
  
  			// Some funky recursion to get the job done( Paging & parents mainly ) is contained within, Skip it for non-hierarchical taxonomies for performance sake
! 			$this->_rows( $taxonomy, $terms, $children, $offset, $number, $count );
  		} else {
  			$terms = get_terms( $taxonomy, $args );
  			foreach ( $terms as $term )
! 				$this->single_row( $term );
  			$count = $number; // Only displaying a single page.
  		}
  	}
  
! 	function _rows( $taxonomy, $terms, &$children, $start, $per_page, &$count, $parent = 0, $level = 0 ) {
  
  		$end = $start + $per_page;
  
  		foreach ( $terms as $key => $term ) {
  
  			if ( $count >= $end )
***************
*** 199,221 ****
  
  				$num_parents = count( $my_parents );
  				while ( $my_parent = array_pop( $my_parents ) ) {
! 					$output .=  "\t" . $this->single_row( $my_parent, $level - $num_parents, $taxonomy );
  					$num_parents--;
  				}
  			}
  
! 			if ( $count >= $start )
! 				$output .= "\t" . $this->single_row( $term, $level, $taxonomy );
  
  			++$count;
  
  			unset( $terms[$key] );
  
  			if ( isset( $children[$term->term_id] ) && empty( $_REQUEST['s'] ) )
! 				$output .= $this->_rows( $taxonomy, $terms, $children, $start, $per_page, $count, $term->term_id, $level + 1 );
  		}
- 
- 		return $output;
  	}
  
  	function single_row( $tag, $level = 0 ) {
--- 198,221 ----
  
  				$num_parents = count( $my_parents );
  				while ( $my_parent = array_pop( $my_parents ) ) {
! 					echo "\t";
! 					$this->single_row( $my_parent, $level - $num_parents );
  					$num_parents--;
  				}
  			}
  
! 			if ( $count >= $start ) {
! 				echo "\t";
! 				$this->single_row( $term, $level );
! 			}
  
  			++$count;
  
  			unset( $terms[$key] );
  
  			if ( isset( $children[$term->term_id] ) && empty( $_REQUEST['s'] ) )
! 				$this->_rows( $taxonomy, $terms, $children, $start, $per_page, $count, $term->term_id, $level + 1 );
  		}
  	}
  
  	function single_row( $tag, $level = 0 ) {
***************
*** 225,231 ****
  		$this->level = $level;
  
  		echo '<tr id="tag-' . $tag->term_id . '"' . $row_class . '>';
! 		echo $this->single_row_columns( $tag );
  		echo '</tr>';
  	}
  
--- 225,231 ----
  		$this->level = $level;
  
  		echo '<tr id="tag-' . $tag->term_id . '"' . $row_class . '>';
! 		$this->single_row_columns( $tag );
  		echo '</tr>';
  	}
  
***************
*** 361,369 ****
  	?>
  
  		<p class="inline-edit-save submit">
! 			<a accesskey="c" href="#inline-edit" title="<?php esc_attr_e( 'Cancel' ); ?>" class="cancel button-secondary alignleft"><?php _e( 'Cancel' ); ?></a>
! 			<?php $update_text = $tax->labels->update_item; ?>
! 			<a accesskey="s" href="#inline-edit" title="<?php echo esc_attr( $update_text ); ?>" class="save button-primary alignright"><?php echo $update_text; ?></a>
  			<span class="spinner"></span>
  			<span class="error" style="display:none;"></span>
  			<?php wp_nonce_field( 'taxinlineeditnonce', '_inline_edit', false ); ?>
--- 361,368 ----
  	?>
  
  		<p class="inline-edit-save submit">
! 			<a accesskey="c" href="#inline-edit" class="cancel button-secondary alignleft"><?php _e( 'Cancel' ); ?></a>
! 			<a accesskey="s" href="#inline-edit" class="save button-primary alignright"><?php echo $tax->labels->update_item; ?></a>
  			<span class="spinner"></span>
  			<span class="error" style="display:none;"></span>
  			<?php wp_nonce_field( 'taxinlineeditnonce', '_inline_edit', false ); ?>
diff -crBPN --exclude=wp-config.php --exclude=wordpress.sql --exclude=.htaccess-dist --exclude=wp-cache-config.php --exclude=htaccess-dist --exclude=wp-config.php --exclude=wordpress.sql --exclude=wp-cache-config.php --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.6.pl /home/packages/code/qi/SOURCES/wordpress-3.5.2/wp-admin/includes/class-wp-theme-install-list-table.php /home/packages/code/qi/SOURCES/wordpress-3.6/wp-admin/includes/class-wp-theme-install-list-table.php
*** /home/packages/code/qi/SOURCES/wordpress-3.5.2/wp-admin/includes/class-wp-theme-install-list-table.php	2012-09-26 14:57:44.000000000 -0500
--- /home/packages/code/qi/SOURCES/wordpress-3.6/wp-admin/includes/class-wp-theme-install-list-table.php	2013-06-05 11:51:07.000000000 -0500
***************
*** 24,30 ****
  		$search_terms = array();
  		$search_string = '';
  		if ( ! empty( $_REQUEST['s'] ) ){
! 			$search_string = strtolower( stripslashes( $_REQUEST['s'] ) );
  			$search_terms = array_unique( array_filter( array_map( 'trim', explode( ',', $search_string ) ) ) );
  		}
  
--- 24,30 ----
  		$search_terms = array();
  		$search_string = '';
  		if ( ! empty( $_REQUEST['s'] ) ){
! 			$search_string = strtolower( wp_unslash( $_REQUEST['s'] ) );
  			$search_terms = array_unique( array_filter( array_map( 'trim', explode( ',', $search_string ) ) ) );
  		}
  
***************
*** 51,57 ****
  		$tabs = apply_filters( 'install_themes_tabs', $tabs );
  		$nonmenu_tabs = apply_filters( 'install_themes_nonmenu_tabs', $nonmenu_tabs );
  
! 		// If a non-valid menu tab has been selected, And its not a non-menu action.
  		if ( empty( $tab ) || ( ! isset( $tabs[ $tab ] ) && ! in_array( $tab, (array) $nonmenu_tabs ) ) )
  			$tab = key( $tabs );
  
--- 51,57 ----
  		$tabs = apply_filters( 'install_themes_tabs', $tabs );
  		$nonmenu_tabs = apply_filters( 'install_themes_nonmenu_tabs', $nonmenu_tabs );
  
! 		// If a non-valid menu tab has been selected, And it's not a non-menu action.
  		if ( empty( $tab ) || ( ! isset( $tabs[ $tab ] ) && ! in_array( $tab, (array) $nonmenu_tabs ) ) )
  			$tab = key( $tabs );
  
***************
*** 59,65 ****
  
  		switch ( $tab ) {
  			case 'search':
! 				$type = isset( $_REQUEST['type'] ) ? stripslashes( $_REQUEST['type'] ) : 'term';
  				switch ( $type ) {
  					case 'tag':
  						$args['tag'] = array_map( 'sanitize_key', $search_terms );
--- 59,65 ----
  
  		switch ( $tab ) {
  			case 'search':
! 				$type = isset( $_REQUEST['type'] ) ? wp_unslash( $_REQUEST['type'] ) : 'term';
  				switch ( $type ) {
  					case 'tag':
  						$args['tag'] = array_map( 'sanitize_key', $search_terms );
***************
*** 164,180 ****
  	 *
  	 * Example theme data:
  	 *   object(stdClass)[59]
! 	 *     public 'name' => string 'Magazine Basic' (length=14)
! 	 *     public 'slug' => string 'magazine-basic' (length=14)
! 	 *     public 'version' => string '1.1' (length=3)
! 	 *     public 'author' => string 'tinkerpriest' (length=12)
! 	 *     public 'preview_url' => string 'http://wp-themes.com/?magazine-basic' (length=36)
! 	 *     public 'screenshot_url' => string 'http://wp-themes.com/wp-content/themes/magazine-basic/screenshot.png' (length=68)
  	 *     public 'rating' => float 80
  	 *     public 'num_ratings' => int 1
! 	 *     public 'homepage' => string 'http://wordpress.org/extend/themes/magazine-basic' (length=49)
! 	 *     public 'description' => string 'A basic magazine style layout with a fully customizable layout through a backend interface. Designed by <a href="http://bavotasan.com">c.bavota</a> of <a href="http://tinkerpriestmedia.com">Tinker Priest Media</a>.' (length=214)
! 	 *     public 'download_link' => string 'http://wordpress.org/extend/themes/download/magazine-basic.1.1.zip' (length=66)
  	 */
  	function single_row( $theme ) {
  		global $themes_allowedtags;
--- 164,180 ----
  	 *
  	 * Example theme data:
  	 *   object(stdClass)[59]
! 	 *     public 'name' => string 'Magazine Basic'
! 	 *     public 'slug' => string 'magazine-basic'
! 	 *     public 'version' => string '1.1'
! 	 *     public 'author' => string 'tinkerpriest'
! 	 *     public 'preview_url' => string 'http://wp-themes.com/?magazine-basic'
! 	 *     public 'screenshot_url' => string 'http://wp-themes.com/wp-content/themes/magazine-basic/screenshot.png'
  	 *     public 'rating' => float 80
  	 *     public 'num_ratings' => int 1
! 	 *     public 'homepage' => string 'http://wordpress.org/themes/magazine-basic'
! 	 *     public 'description' => string 'A basic magazine style layout with a fully customizable layout through a backend interface. Designed by <a href="http://bavotasan.com">c.bavota</a> of <a href="http://tinkerpriestmedia.com">Tinker Priest Media</a>.'
! 	 *     public 'download_link' => string 'http://wordpress.org/themes/download/magazine-basic.1.1.zip'
  	 */
  	function single_row( $theme ) {
  		global $themes_allowedtags;
***************
*** 362,368 ****
  	 * @uses $tab Global; current tab within Themes->Install screen
  	 * @uses $type Global; type of search.
  	 */
! 	function _js_vars() {
  		global $tab, $type;
  		parent::_js_vars( compact( 'tab', 'type' ) );
  	}
--- 362,368 ----
  	 * @uses $tab Global; current tab within Themes->Install screen
  	 * @uses $type Global; type of search.
  	 */
! 	function _js_vars( $extra_args = array() ) {
  		global $tab, $type;
  		parent::_js_vars( compact( 'tab', 'type' ) );
  	}
diff -crBPN --exclude=wp-config.php --exclude=wordpress.sql --exclude=.htaccess-dist --exclude=wp-cache-config.php --exclude=htaccess-dist --exclude=wp-config.php --exclude=wordpress.sql --exclude=wp-cache-config.php --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.6.pl /home/packages/code/qi/SOURCES/wordpress-3.5.2/wp-admin/includes/class-wp-themes-list-table.php /home/packages/code/qi/SOURCES/wordpress-3.6/wp-admin/includes/class-wp-themes-list-table.php
*** /home/packages/code/qi/SOURCES/wordpress-3.5.2/wp-admin/includes/class-wp-themes-list-table.php	2012-10-10 15:34:19.000000000 -0500
--- /home/packages/code/qi/SOURCES/wordpress-3.6/wp-admin/includes/class-wp-themes-list-table.php	2013-03-01 11:00:25.000000000 -0600
***************
*** 28,34 ****
  		$themes = wp_get_themes( array( 'allowed' => true ) );
  
  		if ( ! empty( $_REQUEST['s'] ) )
! 			$this->search_terms = array_unique( array_filter( array_map( 'trim', explode( ',', strtolower( stripslashes( $_REQUEST['s'] ) ) ) ) ) );
  
  		if ( ! empty( $_REQUEST['features'] ) )
  			$this->features = $_REQUEST['features'];
--- 28,34 ----
  		$themes = wp_get_themes( array( 'allowed' => true ) );
  
  		if ( ! empty( $_REQUEST['s'] ) )
! 			$this->search_terms = array_unique( array_filter( array_map( 'trim', explode( ',', strtolower( wp_unslash( $_REQUEST['s'] ) ) ) ) ) );
  
  		if ( ! empty( $_REQUEST['features'] ) )
  			$this->features = $_REQUEST['features'];
***************
*** 235,241 ****
  	 * @uses _pagination_args['total_pages']
  	 */
  	 function _js_vars( $extra_args = array() ) {
! 		$search_string = isset( $_REQUEST['s'] ) ? esc_attr( stripslashes( $_REQUEST['s'] ) ) : '';
  
  		$args = array(
  			'search' => $search_string,
--- 235,241 ----
  	 * @uses _pagination_args['total_pages']
  	 */
  	 function _js_vars( $extra_args = array() ) {
! 		$search_string = isset( $_REQUEST['s'] ) ? esc_attr( wp_unslash( $_REQUEST['s'] ) ) : '';
  
  		$args = array(
  			'search' => $search_string,
